﻿using BlacksmithWorkshopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }
        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;
        [DisplayName("Адрес магазина")]
        public string Address { get; set; } = string.Empty;
        [DisplayName("Дата открытия")]
        public DateTime OpeningDate { get; set; }
        public Dictionary<int, (IManufactureModel, int)> ShopManufactures { get; set; } = new();
    }
}
