﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BlacksmithWorkshopDataModels.Models
{
    public interface IShopModel : IId
    {
        string ShopName { get; }
        string Address { get; }
        DateTime OpeningDate { get; }
        Dictionary<int, (IManufactureModel, int)> ShopManufactures { get; }
    }
}
